package com.dj.action.sys;

import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;
import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.Gas;
import com.dj.service.sys.GasServiceI;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 气体监测 历史记录 ACTION
 * 
 * @author lili
 * 
 */
@Action(value = "gas", results = { @Result(name = "gas", location = "/general/admin/gas.jsp") })
public class GasAction extends BaseAction implements ModelDriven<Gas> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger.getLogger(GasAction.class);

	private GasServiceI gasService;

	public GasServiceI getGasService() {
		return gasService;
	}

	@Autowired
	public void setGasService(GasServiceI gasService) {
		this.gasService = gasService;
	}

	private Gas gas = new Gas();

	public Gas getModel() {
		return gas;
	}
	public String gas() {
		return "gas";
	}
	/**
	 * 获得bug数据表格
	 */
	public void datagrid() {
		super.writeJson(gasService.datagrid(gas));
	}


	

}
