package com.dj.action.sys;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.EryanghuatanHistory;
import com.dj.pageModel.sys.ShiduHistory;
import com.dj.service.sys.Co2historyServiceI;
import com.dj.service.sys.ShiduhistoryServiceI;
import com.opensymphony.xwork2.ModelDriven;
import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

@Action(
        value = "sdhistory",
        results = {@Result(
                name = "sdhistory",
                location = "/general/admin/sdhistory.jsp"
        )}
)
public class ShiduhistoryAction extends BaseAction implements ModelDriven<ShiduHistory> {
    private static final long serialVersionUID = 1L;
    private static final Logger logger = Logger.getLogger(ShiduhistoryAction.class);
    private ShiduhistoryServiceI shiduhistoryService;
    private ShiduHistory eryanghuatan = new ShiduHistory();

    public ShiduhistoryAction() {

    }

    public ShiduhistoryServiceI getShiduhistoryService() {
        return this.shiduhistoryService;
    }

    @Autowired
    public void setShiduhistoryService(ShiduhistoryServiceI shiduhistoryService) {
        this.shiduhistoryService = shiduhistoryService;
    }

    public ShiduHistory getModel() {
        return this.eryanghuatan;
    }

    public String sdhistory() {
        return "sdhistory";
    }

    public void datagrid() {
        super.writeJson(this.shiduhistoryService.datagrid(this.eryanghuatan));
    }

}

