package com.dj.action.sys;

import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.EryanghuatanHistory;
import com.dj.pageModel.sys.WenduHistory;
import com.dj.service.sys.Co2historyServiceI;
import com.dj.service.sys.WenduhistoryServiceI;
import com.opensymphony.xwork2.ModelDriven;
import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;

@Action(
        value = "wdhistory",
        results = {@Result(
                name = "wdhistory",
                location = "/general/admin/wdhistory.jsp"
        )}
)
public class WenduhistoryAction extends BaseAction implements ModelDriven<WenduHistory> {
    private static final long serialVersionUID = 1L;
    private static final Logger logger = Logger.getLogger(WenduhistoryAction.class);
    private WenduhistoryServiceI wenduhistoryService;
    private WenduHistory wenduHistory = new WenduHistory();

    public WenduhistoryAction() {

    }

    public WenduhistoryServiceI getWenduhistoryService() {
        return this.wenduhistoryService;
    }

    @Autowired
    public void setWenduhistoryService(WenduhistoryServiceI wenduhistoryService) {
        this.wenduhistoryService = wenduhistoryService;
    }

    public WenduHistory getModel() {
        return this.wenduHistory;
    }

    public String wdhistory() {
        return "wdhistory";
    }

    public void datagrid() {
        super.writeJson(this.wenduhistoryService.datagrid(this.wenduHistory));
    }

}

