package com.dj.action.sys;

import org.apache.log4j.Logger;
import org.apache.struts2.convention.annotation.Action;
import org.apache.struts2.convention.annotation.Result;
import org.springframework.beans.factory.annotation.Autowired;
import com.dj.action.base.BaseAction;
import com.dj.pageModel.sys.Wind;
import com.dj.service.sys.WindServiceI;
import com.opensymphony.xwork2.ModelDriven;

/**
 * 气体监测 历史记录 ACTION
 * 
 * @author lili
 * 
 */
@Action(value = "wind", results = { @Result(name = "wind", location = "/general/admin/wind.jsp") })
public class WindAction extends BaseAction implements ModelDriven<Wind> {

	private static final long serialVersionUID = 1L;

	private static final Logger logger = Logger.getLogger(WindAction.class);

	private WindServiceI windService;

	public WindServiceI getWindService() {
		return windService;
	}

	@Autowired
	public void setWindService(WindServiceI windService) {
		this.windService = windService;
	}

	private Wind wind = new Wind();

	public Wind getModel() {
		return wind;
	}
	public String wind() {
		return "wind";
	}
	/**
	 * 获得bug数据表格
	 */
	public void datagrid() {
		super.writeJson(windService.datagrid(wind));
	}


	

}
