package com.dj.model.sys;

import java.sql.Timestamp;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;

/**
 * Tuser entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "TAB_PERSONINFO", schema = "")
public class Tpersoninfo implements java.io.Serializable {

	// Fields

	private static final long serialVersionUID = 1L;
	
	 private String id;
     private Integer personcode;
     private String personname;
     private Integer personsex;
     private Date personbirth;
     private String password;
     private String identitycard;
     private String markcode;
     private String cardcode;
     private Short workinghourlevel;
     private Integer personblood;
     private String personimage;
     private Date inworktime;
     private String personlampcode;
     private String personmedi;
     private String personrtlname;
     private String personphone;
     private String personhomephone;
     private String personrtlco;
     private String personaddr;
     private String remark;
     private Integer iccardcode;
     private Integer licensecode;
     private String shangbao;
     private Integer gbcode;
     private String lx;
     private String rjpd;
    
     private String zigbee;
     

	private Tdept tdept;//部门
	private Tarea tarea;//区域
	private Tminearea tminearea;//矿区
	private Tpost tpost;//岗位
	private Tgroup tgroup;//班组
	
	
	// Constructors

	/** default constructor */
	public Tpersoninfo() {
	}

	/** minimal constructor */
	public Tpersoninfo(String id,Integer personcode,String personname) {
		this.id = id;
		this.personcode = personcode;
		this.personname = personname;
		
	}

	/** full constructor */
	 public Tpersoninfo(String id,Integer personcode, String personname, Integer personsex, Date personbirth, String password, String identitycard, String markcode, String cardcode, Short workinghourlevel, Integer personblood, String personimage, Date inworktime, String personlampcode, String personmedi, String personrtlname, String personphone, String personhomephone, String personrtlco, String personaddr, String remark, Integer iccardcode, Integer licensecode, String shangbao, Integer gbcode, String lx, String rjpd, String zigbee) {
	        this.id = id;
		    this.personcode = personcode;
	        this.personname = personname;
	        this.personsex = personsex;
	        this.personbirth = personbirth;
	        this.password = password;
	        this.identitycard = identitycard;
	        this.markcode = markcode;
	        this.cardcode = cardcode;
	        this.workinghourlevel = workinghourlevel;
	        this.personblood = personblood;
	        this.personimage = personimage;
	        this.inworktime = inworktime;
	        this.personlampcode = personlampcode;
	        this.personmedi = personmedi;
	        this.personrtlname = personrtlname;
	        this.personphone = personphone;
	        this.personhomephone = personhomephone;
	        this.personrtlco = personrtlco;
	        this.personaddr = personaddr;
	        this.remark = remark;
	        this.iccardcode = iccardcode;
	        this.licensecode = licensecode;
	        this.shangbao = shangbao;
	        this.gbcode = gbcode;
	        this.lx = lx;
	        this.rjpd = rjpd;
	        this.zigbee = zigbee;
	    }

	// Property accessors
	@Id
	@Column(name = "ID",   length = 36)
	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}


	
	@Column(name = "PERSONCODE")
	public Integer getPersoncode() {
		return personcode;
	}

	public void setPersoncode(Integer personcode) {
		this.personcode = personcode;
	}

	@Column(name = "PERSONNAME",   length = 20)
	public String getPersonname() {
		return personname;
	}

	public void setPersonname(String personname) {
		this.personname = personname;
	}

	@Column(name = "PERSONSEX")
	public Integer getPersonsex() {
		return personsex;
	}

	public void setPersonsex(Integer personsex) {
		this.personsex = personsex;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "PERSONBIRTH", length = 7)
	public Date getPersonbirth() {
		return personbirth;
	}

	public void setPersonbirth(Date personbirth) {
		this.personbirth = personbirth;
	}

	@Column(name = "PASSWORD",   length = 10)
	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	@Column(name = "IDENTITYCARD",   length = 18)
	public String getIdentitycard() {
		return identitycard;
	}

	public void setIdentitycard(String identitycard) {
		this.identitycard = identitycard;
	}

	@Column(name = "MARKCODE")
	public String getMarkcode() {
		return markcode;
	}

	public void setMarkcode(String markcode) {
		this.markcode = markcode;
	}

	@Column(name = "CARDCODE",   length = 255)
	public String getCardcode() {
		return cardcode;
	}

	public void setCardcode(String cardcode) {
		this.cardcode = cardcode;
	}
	@Column(name = "WORKINGHOURLEVEL")
	public Short getWorkinghourlevel() {
		return workinghourlevel;
	}

	public void setWorkinghourlevel(Short workinghourlevel) {
		this.workinghourlevel = workinghourlevel;
	}

	@Column(name = "PERSONBLOOD")
	public Integer getPersonblood() {
		return personblood;
	}

	public void setPersonblood(Integer personblood) {
		this.personblood = personblood;
	}

	@Column(name = "PERSONIMAGE",   length = 100)
	public String getPersonimage() {
		return personimage;
	}

	public void setPersonimage(String personimage) {
		this.personimage = personimage;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "INWORKTIME", length = 7)
	public Date getInworktime() {
		return inworktime;
	}

	public void setInworktime(Date inworktime) {
		this.inworktime = inworktime;
	}

	@Column(name = "PERSONLAMPCODE",   length = 50)
	public String getPersonlampcode() {
		return personlampcode;
	}

	public void setPersonlampcode(String personlampcode) {
		this.personlampcode = personlampcode;
	}

	@Column(name = "PERSONMEDI",   length = 50)
	public String getPersonmedi() {
		return personmedi;
	}

	public void setPersonmedi(String personmedi) {
		this.personmedi = personmedi;
	}

	@Column(name = "PERSONRTLNAME",   length = 20)
	public String getPersonrtlname() {
		return personrtlname;
	}

	public void setPersonrtlname(String personrtlname) {
		this.personrtlname = personrtlname;
	}

	@Column(name = "PERSONPHONE",   length = 20)
	public String getPersonphone() {
		return personphone;
	}

	public void setPersonphone(String personphone) {
		this.personphone = personphone;
	}

	@Column(name = "PERSONHOMEPHONE",   length = 20)
	public String getPersonhomephone() {
		return personhomephone;
	}

	public void setPersonhomephone(String personhomephone) {
		this.personhomephone = personhomephone;
	}

	@Column(name = "PERSONRTLCO",   length = 50)
	public String getPersonrtlco() {
		return personrtlco;
	}

	public void setPersonrtlco(String personrtlco) {
		this.personrtlco = personrtlco;
	}

	@Column(name = "PERSONADDR",   length = 50)
	public String getPersonaddr() {
		return personaddr;
	}

	public void setPersonaddr(String personaddr) {
		this.personaddr = personaddr;
	}

	@Column(name = "REMARK",   length = 255)
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	@Column(name = "ICCARDCODE")
	public Integer getIccardcode() {
		return iccardcode;
	}

	public void setIccardcode(Integer iccardcode) {
		this.iccardcode = iccardcode;
	}

	@Column(name = "LICENSECODE")
	public Integer getLicensecode() {
		return licensecode;
	}

	public void setLicensecode(Integer licensecode) {
		this.licensecode = licensecode;
	}

	@Column(name = "SHANGBAO",   length = 2)
	public String getShangbao() {
		return shangbao;
	}

	public void setShangbao(String shangbao) {
		this.shangbao = shangbao;
	}

	@Column(name = "GBCODE")
	public Integer getGbcode() {
		return gbcode;
	}

	public void setGbcode(Integer gbcode) {
		this.gbcode = gbcode;
	}

	@Column(name = "LX",   length = 1)
	public String getLx() {
		return lx;
	}

	public void setLx(String lx) {
		this.lx = lx;
	}

	@Column(name = "RJPD",   length = 1)
	public String getRjpd() {
		return rjpd;
	}

	public void setRjpd(String rjpd) {
		this.rjpd = rjpd;
	}

	@Column(name = "ZIGBEE",   length = 255)
	public String getZigbee() {
		return zigbee;
	}

	public void setZigbee(String zigbee) {
		this.zigbee = zigbee;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "AREACODE")
	public Tarea getTarea() {
		return tarea;
	}

	public void setTarea(Tarea tarea) {
		this.tarea = tarea;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "MINEAREACODE")
	@NotFound(action=NotFoundAction.IGNORE) 
	public Tminearea getTminearea() {
		return tminearea;
	}

	public void setTminearea(Tminearea tminearea) {
		this.tminearea = tminearea;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "DEPARTCODE")
	@NotFound(action=NotFoundAction.IGNORE) 
	public Tdept getTdept() {
		return tdept;
	}

	public void setTdept(Tdept tdept) {
		this.tdept = tdept;
	}
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "POSTCODE")
	@NotFound(action=NotFoundAction.IGNORE) 
	public Tpost getTpost() {
		return tpost;
	}

	public void setTpost(Tpost tpost) {
		this.tpost = tpost;
	}
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "GROUPCODE")
	@NotFound(action=NotFoundAction.IGNORE) 
	public Tgroup getTgroup() {
		return tgroup;
	}

	public void setTgroup(Tgroup tgroup) {
		this.tgroup = tgroup;
	}
	
	

}